MyDropController (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.presenter
Class MyDropController

    java.lang.Object
      com.allen_sauer.gwt.dnd.client.drop.AbstractDropController
          com.allen_sauer.gwt.dnd.client.drop.SimpleDropController
              org.gcube.portlets.admin.wftemplates.client.presenter.MyDropController

All Implemented Interfaces:
  com.allen_sauer.gwt.dnd.client.drop.DropController

    public class MyDropController

extends com.allen_sauer.gwt.dnd.client.drop.SimpleDropController

Constructor Summary
`MyDropController(com.google.gwt.user.client.ui.AbsolutePanel dropPanel, MyDiagramController dc2)`

Method Summary
`void` | `onDrop(com.allen_sauer.gwt.dnd.client.DragContext context)`
`void` | `onEnter(com.allen_sauer.gwt.dnd.client.DragContext context)`
`void` | `onLeave(com.allen_sauer.gwt.dnd.client.DragContext context)`
`void` | `onPreviewDrop(com.allen_sauer.gwt.dnd.client.DragContext context)`

Methods inherited from class com.allen_sauer.gwt.dnd.client.drop.AbstractDropController
`getDropTarget, onMove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyDropController

    public MyDropController(com.google.gwt.user.client.ui.AbsolutePanel dropPanel,
                            MyDiagramController dc2)

Method Detail

### onDrop

    public void onDrop(com.allen_sauer.gwt.dnd.client.DragContext context)

  Specified by:
    `onDrop` in interface `com.allen_sauer.gwt.dnd.client.drop.DropController`
  Overrides:
    `onDrop` in class `com.allen_sauer.gwt.dnd.client.drop.AbstractDropController`

### onEnter

    public void onEnter(com.allen_sauer.gwt.dnd.client.DragContext context)

  Specified by:
    `onEnter` in interface `com.allen_sauer.gwt.dnd.client.drop.DropController`
  Overrides:
    `onEnter` in class `com.allen_sauer.gwt.dnd.client.drop.AbstractDropController`

### onLeave

    public void onLeave(com.allen_sauer.gwt.dnd.client.DragContext context)

  Specified by:
    `onLeave` in interface `com.allen_sauer.gwt.dnd.client.drop.DropController`
  Overrides:
    `onLeave` in class `com.allen_sauer.gwt.dnd.client.drop.AbstractDropController`

### onPreviewDrop

    public void onPreviewDrop(com.allen_sauer.gwt.dnd.client.DragContext context)
                       throws com.allen_sauer.gwt.dnd.client.VetoDragException

  Specified by:
    `onPreviewDrop` in interface `com.allen_sauer.gwt.dnd.client.drop.DropController`
  Overrides:
    `onPreviewDrop` in class `com.allen_sauer.gwt.dnd.client.drop.AbstractDropController`
  Throws:
    `com.allen_sauer.gwt.dnd.client.VetoDragException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.